## python-toxcore 0.2.3

=== debian/changelog ===
python-toxcore (0.2.3) unstable; urgency=low

  * Fix tox_self_get_friend_list (thanks @quark-tekliner, see #6).

 -- Anton Batenev <antonbatenev@yandex.ru>  Mon, 01 Aug 2016 22:19:57 +0300

python-toxcore (0.2.2) unstable; urgency=low

  * Fix memory corruption in tox_sendfile / tox_recvfile.

 -- Anton Batenev <antonbatenev@yandex.ru>  Sun, 22 May 2016 18:21:12 +0300

python-toxcore (0.2.1) unstable; urgency=low

  * Fix memleak in tox_sendfile;
  * Extend tox_sendfile_cb / tox_recvfile_cb;
  * Remove filebot example;
  * Rewrite echobot example using tox_sendfile / tox_recvfile.

 -- Anton Batenev <antonbatenev@yandex.ru>  Sun, 22 May 2016 01:37:57 +0300

python-toxcore (0.2.0) unstable; urgency=low

  * Add non api tox_sendfile method;
  * Add non api tox_recvfile method;
  * Extend README with non-api methods;
  * Add filebot example;
  * Remove garbage from examples.

 -- Anton Batenev <antonbatenev@yandex.ru>  Sat, 21 May 2016 22:42:41 +0300

python-toxcore (0.1.3) unstable; urgency=low

  * Remove unnecessary memset for bytes_to_hex_string.

 -- Anton Batenev <antonbatenev@yandex.ru>  Wed, 02 Mar 2016 20:28:31 +0300

python-toxcore (0.1.2) unstable; urgency=low

  * Add new non api functions to work without tox_savedata;
  * Add strict check to arguments in hex format.

 -- Anton Batenev <antonbatenev@yandex.ru>  Wed, 02 Mar 2016 17:35:07 +0300

python-toxcore (0.1.1) unstable; urgency=low

  * Fix build for python > 3.2

 -- Anton Batenev <antonbatenev@yandex.ru>  Mon, 15 Feb 2016 18:42:54 +0300

python-toxcore (0.1.0) unstable; urgency=low

  * Add explict savedata_type to init options (fix #5);
  * Fix incorrect Py_None refcounting;
  * More accuracy init checks;
  * Fix package dependencies.

 -- Anton Batenev <antonbatenev@yandex.ru>  Mon, 15 Feb 2016 18:21:38 +0300

python-toxcore (0.0.19) unstable; urgency=low

  * Link with system libs where possible.

 -- Anton Batenev <antonbatenev@yandex.ru>  Fri, 15 Jan 2016 23:53:14 +0300

python-toxcore (0.0.18) unstable; urgency=low

  * Add core ToxDNS.

 -- Anton Batenev <antonbatenev@yandex.ru>  Tue, 15 Dec 2015 10:45:47 +0300

python-toxcore (0.0.17) unstable; urgency=low

  * Fix callback_file_recv utf-8 decode error on python3.

 -- Anton Batenev <antonbatenev@yandex.ru>  Sat, 12 Dec 2015 22:28:02 +0300

python-toxcore (0.0.16) unstable; urgency=low

  * Fix ToxAV GIL deadlock;
  * GIL release/lock to improve multithread speed;
  * Fix examples.

 -- Anton Batenev <antonbatenev@yandex.ru>  Fri, 11 Dec 2015 22:48:20 +0300

python-toxcore (0.0.15) unstable; urgency=low

  * Switch to static tox-libopus from tox.pkg project
    (https://github.com/abbat/tox.pkg);

 -- Anton Batenev <antonbatenev@yandex.ru>  Wed, 02 Dec 2015 19:03:35 +0300

python-toxcore (0.0.14) unstable; urgency=low

  * Switch to static tox-libvpx from tox.pkg project
    (https://github.com/abbat/tox.pkg);
  * Fix homepage in debian/control.

 -- Anton Batenev <antonbatenev@yandex.ru>  Mon, 30 Nov 2015 12:59:39 +0300

python-toxcore (0.0.13) unstable; urgency=low

  * Add ToxAV.

 -- Anton Batenev <antonbatenev@yandex.ru>  Sun, 29 Nov 2015 04:11:02 +0300

python-toxcore (0.0.12) unstable; urgency=low

  * Fix tox_file_seek arguments parsing;
  * More accuracy memory errors handling.

 -- Anton Batenev <antonbatenev@yandex.ru>  Thu, 03 Sep 2015 23:16:38 +0300

python-toxcore (0.0.11) unstable; urgency=low

  * Add tox_add_groupchat, tox_del_groupchat, tox_invite_friend,
    tox_group_set_title and tox_group_get_title.

 -- Anton Batenev <antonbatenev@yandex.ru>  Sun, 23 Aug 2015 16:28:14 +0300

python-toxcore (0.0.10) unstable; urgency=low

  * Fix double free memory corruption.

 -- Anton Batenev <antonbatenev@yandex.ru>  Sat, 08 Aug 2015 21:23:02 +0300

python-toxcore (0.0.9) unstable; urgency=low

  * Tox_Options is dict only.

 -- Anton Batenev <antonbatenev@yandex.ru>  Sat, 08 Aug 2015 20:41:03 +0300

python-toxcore (0.0.8) unstable; urgency=low

  * Parse Tox_Options as class and dict.

 -- Anton Batenev <antonbatenev@yandex.ru>  Sat, 08 Aug 2015 16:41:10 +0300

python-toxcore (0.0.7) unstable; urgency=low

  * A bit accuracy docstrings.

 -- Anton Batenev <antonbatenev@yandex.ru>  Thu, 06 Aug 2015 01:36:33 +0300

python-toxcore (0.0.6) unstable; urgency=low

  * Add tox_friend_get_typing;
  * Add tox_self_set_typing;
  * Add errors check for tox_new;
  * Add tox_friend_send_{lossy,lossless}_packet and callbacks.

 -- Anton Batenev <antonbatenev@yandex.ru>  Tue, 04 Aug 2015 00:46:47 +0300

python-toxcore (0.0.5) unstable; urgency=low

  * tox_hash is static;
  * Add tox_self_get_{dht_id,udp_port,tcp_port};
  * Add tox_self_{set,get}_nospam;
  * Add tox_self_get_{public,secret}_key;
  * Add tox_friend_by_public_key;
  * Add tox_friend_get_public_key;
  * Add tox_friend_typing_cb;
  * Add checks for Tox_Options and some length checks.

 -- Anton Batenev <antonbatenev@yandex.ru>  Sun, 02 Aug 2015 19:17:54 +0300

python-toxcore (0.0.4) unstable; urgency=low

  * Add core defines / enums;
  * Add tox_version_{major,minor,patch,is_compatible} methods;
  * Add tox_options_default method and fix example;
  * Add tox_self_connection_status_cb;

 -- Anton Batenev <antonbatenev@yandex.ru>  Fri, 31 Jul 2015 19:49:12 +0300

python-toxcore (0.0.3) unstable; urgency=low

  * Remove strange copy/paste (fix SIGTRAP).

 -- Anton Batenev <antonbatenev@yandex.ru>  Wed, 29 Jul 2015 01:56:11 +0300

python-toxcore (0.0.2) unstable; urgency=low

  * Fix file_id check and conversion in tox_file_send.

 -- Anton Batenev <antonbatenev@yandex.ru>  Fri, 24 Jul 2015 02:19:00 +0300

python-toxcore (0.0.1) unstable; urgency=low

  * Initial.

 -- Anton Batenev <antonbatenev@yandex.ru>  Thu, 23 Jul 2015 02:30:41 +0300
