=== debian/control ===
Source: python-toxcore
Section: python
Priority: optional
Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1), python-dev, python-setuptools,
 libvpx-dev | tox-libvpx-dev,
 libopus-dev | tox-libopus-dev,
 libsodium-dev (>= 0.5.0) | tox-libsodium-dev,
 tox-libtoxcore-dev
Maintainer: Anton Batenev <antonbatenev@yandex.ru>
Standards-Version: 3.9.4
Homepage: https://github.com/abbat/pytoxcore

Package: python-toxcore
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Python binding for ToxCore
 PyToxCore provides a Pythonic binding, i.e Object-oriented instead of C style,
 raise exception instead of returning error code.

Package: python-toxcore-dbg
Section: debug
Priority: extra
Depends: python-toxcore (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: Debug symbols for python-toxcore
 PyToxCore provides a Pythonic binding, i.e Object-oriented instead of C style,
 raise exception instead of returning error code.
