## python-toxcore 0.2.3mx17+1

=== debian/changelog ===
python-toxcore (0.2.3mx17+1) mx; urgency=medium

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 02 Jul 2017 21:58:28 -0400
